#include <stdio.h>
#include <stdlib.h>
#include <math.h>

void unesi(int w,int r, int b[][r]);
int suma(int pam,int r,int a[],int b[][r],int M);
void brisi(int M,int r,int b[][r]);
int main()
{
    int N,M,i,w,r,sum;
    scanf("%d",&N);
    scanf("%d",&M);
    int a[N],b[M][2];
    for(i=0;i<N;i++)
        scanf("%d",&a[i]);
        unesi(M,2,b);
        for(i=0;i<N;i++){
            w=b[i][0];
            r=b[i][1];
            sum=sum + abs(a[w-1]+a[r-1]);
        }

     printf("%d",sum);
    return 0;
}
void unesi(int w,int r, int b[][r]){
for(int i=0;i<w;i++){
    for(int j=0;j<r;j++)
        scanf("%d",&b[i][j]);
}
}